Loading...
Searching...
No Matches
single precision
Sparse LA » Sparse GPU kernels » GPU kernels for symmetric/Hermitian sparse LA

## Functions

magma_int_t | magma_scgmerge_xrbeta (magma_int_t n, magmaFloat_ptr d1, magmaFloat_ptr d2, magmaFloat_ptr dx, magmaFloat_ptr dr, magmaFloat_ptr dd, magmaFloat_ptr dz, magmaFloat_ptr skp, magma_queue_t queue)
| Merges the update of r and x with the dot product and performs then the update for the Krylov vector d.
magma_int_t | magma_spcgmerge_xrbeta1 (magma_int_t n, magmaFloat_ptr dx, magmaFloat_ptr dr, magmaFloat_ptr dd, magmaFloat_ptr dz, magmaFloat_ptr skp, magma_queue_t queue)
| Merges the update of r and x with the dot product and performs then the update for the Krylov vector d.
magma_int_t | magma_spcgmerge_xrbeta2 (magma_int_t n, magmaFloat_ptr d1, magmaFloat_ptr d2, magmaFloat_ptr dh, magmaFloat_ptr dr, magmaFloat_ptr dd, magmaFloat_ptr skp, magma_queue_t queue)
| Merges the update of r and x with the dot product and performs then the update for the Krylov vector d.
magma_int_t | magma_sjcgmerge_xrbeta (magma_int_t n, magmaFloat_ptr d1, magmaFloat_ptr d2, magmaFloat_ptr diag, magmaFloat_ptr dx, magmaFloat_ptr dr, magmaFloat_ptr dd, magmaFloat_ptr dz, magmaFloat_ptr dh, magmaFloat_ptr skp, magma_queue_t queue)
| Merges the update of r and x with the dot product and performs then the update for the Krylov vector d.

## Detailed Description

## Function Documentation

## magma_scgmerge_xrbeta()

magma_int_t magma_scgmerge_xrbeta | ( | magma_int_t | n,
|  | magmaFloat_ptr | d1,
|  | magmaFloat_ptr | d2,
|  | magmaFloat_ptr | dx,
|  | magmaFloat_ptr | dr,
|  | magmaFloat_ptr | dd,
|  | magmaFloat_ptr | dz,
|  | magmaFloat_ptr | skp,
|  | magma_queue_t | queue )

Merges the update of r and x with the dot product and performs then the update for the Krylov vector d.

Parameters

  [in] | n | int dimension n
  [in] | d1 | magmaFloat_ptr temporary vector
  [in] | d2 | magmaFloat_ptr temporary vector
  [in,out] | dx | magmaFloat_ptr input vector x
  [in,out] | dr | magmaFloat_ptr input/output vector r
  [in] | dd | magmaFloat_ptr input vector d
  [in] | dz | magmaFloat_ptr input vector z
  [in] | skp | magmaFloat_ptr array for parameters
  [in] | queue | magma_queue_t Queue to execute in.

## magma_spcgmerge_xrbeta1()

magma_int_t magma_spcgmerge_xrbeta1 | ( | magma_int_t | n,
|  | magmaFloat_ptr | dx,
|  | magmaFloat_ptr | dr,
|  | magmaFloat_ptr | dd,
|  | magmaFloat_ptr | dz,
|  | magmaFloat_ptr | skp,
|  | magma_queue_t | queue )

Merges the update of r and x with the dot product and performs then the update for the Krylov vector d.

Parameters

  [in] | n | int dimension n
  [in,out] | dx | magmaFloat_ptr input vector x
  [in,out] | dr | magmaFloat_ptr input/output vector r
  [in] | dd | magmaFloat_ptr input vector d
  [in] | dz | magmaFloat_ptr input vector z
  [in] | skp | magmaFloat_ptr array for parameters
  [in] | queue | magma_queue_t Queue to execute in.

## magma_spcgmerge_xrbeta2()

magma_int_t magma_spcgmerge_xrbeta2 | ( | magma_int_t | n,
|  | magmaFloat_ptr | d1,
|  | magmaFloat_ptr | d2,
|  | magmaFloat_ptr | dh,
|  | magmaFloat_ptr | dr,
|  | magmaFloat_ptr | dd,
|  | magmaFloat_ptr | skp,
|  | magma_queue_t | queue )

Merges the update of r and x with the dot product and performs then the update for the Krylov vector d.

Parameters

  [in] | n | int dimension n
  [in] | d1 | magmaFloat_ptr temporary vector
  [in] | d2 | magmaFloat_ptr temporary vector
  [in] | dh | magmaFloat_ptr input vector x
  [in] | dr | magmaFloat_ptr input/output vector r
  [in] | dd | magmaFloat_ptr input/output vector d
  [in] | skp | magmaFloat_ptr array for parameters
  [in] | queue | magma_queue_t Queue to execute in.

## magma_sjcgmerge_xrbeta()

magma_int_t magma_sjcgmerge_xrbeta | ( | magma_int_t | n,
|  | magmaFloat_ptr | d1,
|  | magmaFloat_ptr | d2,
|  | magmaFloat_ptr | diag,
|  | magmaFloat_ptr | dx,
|  | magmaFloat_ptr | dr,
|  | magmaFloat_ptr | dd,
|  | magmaFloat_ptr | dz,
|  | magmaFloat_ptr | dh,
|  | magmaFloat_ptr | skp,
|  | magma_queue_t | queue )

Merges the update of r and x with the dot product and performs then the update for the Krylov vector d.

Parameters

  [in] | n | int dimension n
  [in] | d1 | magmaFloat_ptr temporary vector
  [in] | d2 | magmaFloat_ptr temporary vector
  [in] | diag | magmaFloat_ptr inverse diagonal (Jacobi preconditioner)
  [in] | dx | magmaFloat_ptr iteration vector x
  [in] | dr | magmaFloat_ptr input/output vector r
  [in] | dd | magmaFloat_ptr input vector d
  [in] | dz | magmaFloat_ptr input vector z
  [in] | dh | magmaFloat_ptr input vector h
  [in] | skp | magmaFloat_ptr array for parameters
  [in] | queue | magma_queue_t Queue to execute in.